Bug 1071109 - Review Request: dynamips - Cisco router Emulator
Review Request: dynamips - Cisco router Emulator
Status: CLOSED DUPLICATE of bug 246150
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-Legal
  Show dependency treegraph
 
Reported: 2014-02-28 00:50 EST by Dhiru Kholia
Modified: 2014-05-03 20:40 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-03 20:40:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
i: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description Dhiru Kholia 2014-02-28 00:50:55 EST
Spec URL: https://bitbucket.org/dhiru/packages/raw/master/dynamips/dynamips.spec
SRPM URL: https://bitbucket.org/dhiru/packages/raw/master/dynamips/dynamips-0.2.10-1.src.rpm
Description: Cisco Router Emulator supported by GNS3 Community

Dynamips emulates Cisco 7200/3600/3725/3745/2691 Routers on a traditional PC.
You can use dynamips to create labs. It uses IOS Images (which are not part of
this package). Of course, this emulator cannot replace a real router. It is
simply a complementary tool to real labs for administrators of Cisco networks
or people wanting to pass their CCNA/CCNP/CCIE exams.

Fedora Account System Username: halfie
Comment 1 Christopher Meng 2014-02-28 09:23:02 EST
I hope you can cleanup the license header from SUSE(IMO it's nonsense and tell people that Fedora is just copying SUSE, why can't we packagers write from scratch? I don't understand.)

e.g.


# Please submit bugfixes or comments via http://bugs.opensuse.org/
# https://build.opensuse.org/package/view_file/Education/dynamips/dynamips.spec


Sorry it's bs actually.

1. Release:        1

You should know how to fix it.

2. URL is http://www.gns3.net/dynamips/

3. You didn't package the latest version, just as I've said, you are just copy without any thinking.

4. Summary:        Cisco router Emulator

Sorry, but cisco stuffs are not easy for packaging, you'd better change it to mention that it's a fork(community version)

5. %description field is not perfect, please read from URL above and rewrite it.

6. LDFLAGS not set.

7. %{__make}

Please use make with smp flags.

8. /usr = %{_prefix}
Comment 2 Dhiru Kholia 2014-02-28 12:00:19 EST
I can't remove the existing license because you simply can't make licenses disappear, sorry. Also, I am not interested in re-inventing the wheel again.

This being said, I am now using a .spec from a different source which solves these problems.

> You didn't package the latest version, just as I've said, you are just copy without any thinking.

Good catch! I will package the latest version from GitHub now. I did not realize that they were not updating the site itself. Thanks!

> Sorry, but cisco stuffs are not easy for packaging, you'd better change it to mention that it's a fork (community version)

Disagree, Cisco stuff is dead easy to package. Also, this is the de-facto version now.

Thanks for the feedback (and I have hopefully fixed rest of the problems now).

Updated URLs,

Spec URL: https://bitbucket.org/dhiru/packages/raw/master/dynamips/dynamips.spec
SRPM URL: https://bitbucket.org/dhiru/packages/raw/master/dynamips/dynamips-0.2.11-1.fc20.src.rpm
Comment 3 Christopher Meng 2014-03-03 21:12:38 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated




===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 294 files have unknown license. Detailed output
     of licensecheck:

Unknown or generated
--------------------
dynamips-0.2.11/common/atm.c
dynamips-0.2.11/common/atm.h
dynamips-0.2.11/common/atm_bridge.c
dynamips-0.2.11/common/atm_bridge.h
dynamips-0.2.11/common/atm_vsar.c
dynamips-0.2.11/common/atm_vsar.h
dynamips-0.2.11/common/base64.c
dynamips-0.2.11/common/base64.h
dynamips-0.2.11/common/bin2c.c
dynamips-0.2.11/common/cisco_card.c
dynamips-0.2.11/common/cisco_card.h
dynamips-0.2.11/common/cisco_eeprom.c
dynamips-0.2.11/common/cisco_eeprom.h
dynamips-0.2.11/common/crc.c
dynamips-0.2.11/common/crc.h
dynamips-0.2.11/common/dev_am79c971.c
dynamips-0.2.11/common/dev_am79c971.h
dynamips-0.2.11/common/dev_ap1011.c
dynamips-0.2.11/common/dev_bootflash.c
dynamips-0.2.11/common/dev_bswap.c
dynamips-0.2.11/common/dev_c1700.c
dynamips-0.2.11/common/dev_c1700.h
dynamips-0.2.11/common/dev_c1700_eth.c
dynamips-0.2.11/common/dev_c1700_iofpga.c
dynamips-0.2.11/common/dev_c1700_iofpga.h
dynamips-0.2.11/common/dev_c1700_wic.c
dynamips-0.2.11/common/dev_c2600.c
dynamips-0.2.11/common/dev_c2600.h
dynamips-0.2.11/common/dev_c2600_eth.c
dynamips-0.2.11/common/dev_c2600_iofpga.c
dynamips-0.2.11/common/dev_c2600_iofpga.h
dynamips-0.2.11/common/dev_c2600_pci.c
dynamips-0.2.11/common/dev_c2600_pcmod.c
dynamips-0.2.11/common/dev_c2600_wic.c
dynamips-0.2.11/common/dev_c2691.c
dynamips-0.2.11/common/dev_c2691.h
dynamips-0.2.11/common/dev_c2691_eth.c
dynamips-0.2.11/common/dev_c2691_iofpga.c
dynamips-0.2.11/common/dev_c2691_iofpga.h
dynamips-0.2.11/common/dev_c2691_pcmod.c
dynamips-0.2.11/common/dev_c2691_serial.c
dynamips-0.2.11/common/dev_c2691_wic.c
dynamips-0.2.11/common/dev_c3600.c
dynamips-0.2.11/common/dev_c3600.h
dynamips-0.2.11/common/dev_c3600_bay.c
dynamips-0.2.11/common/dev_c3600_bay.h
dynamips-0.2.11/common/dev_c3600_eth.c
dynamips-0.2.11/common/dev_c3600_iofpga.c
dynamips-0.2.11/common/dev_c3600_iofpga.h
dynamips-0.2.11/common/dev_c3600_serial.c
dynamips-0.2.11/common/dev_c3725.c
dynamips-0.2.11/common/dev_c3725.h
dynamips-0.2.11/common/dev_c3725_eth.c
dynamips-0.2.11/common/dev_c3725_iofpga.c
dynamips-0.2.11/common/dev_c3725_iofpga.h
dynamips-0.2.11/common/dev_c3725_pcmod.c
dynamips-0.2.11/common/dev_c3725_serial.c
dynamips-0.2.11/common/dev_c3725_wic.c
dynamips-0.2.11/common/dev_c3745.c
dynamips-0.2.11/common/dev_c3745.h
dynamips-0.2.11/common/dev_c3745_eth.c
dynamips-0.2.11/common/dev_c3745_iofpga.c
dynamips-0.2.11/common/dev_c3745_iofpga.h
dynamips-0.2.11/common/dev_c3745_pcmod.c
dynamips-0.2.11/common/dev_c3745_serial.c
dynamips-0.2.11/common/dev_c3745_wic.c
dynamips-0.2.11/common/dev_c6msfc1.c
dynamips-0.2.11/common/dev_c6msfc1.h
dynamips-0.2.11/common/dev_c6msfc1_iofpga.c
dynamips-0.2.11/common/dev_c6msfc1_mpfpga.c
dynamips-0.2.11/common/dev_c6msfc1_mpfpga.h
dynamips-0.2.11/common/dev_c6sup1.c
dynamips-0.2.11/common/dev_c6sup1.h
dynamips-0.2.11/common/dev_c6sup1_iofpga.c
dynamips-0.2.11/common/dev_c6sup1_mpfpga.c
dynamips-0.2.11/common/dev_c6sup1_mpfpga.h
dynamips-0.2.11/common/dev_c7200.c
dynamips-0.2.11/common/dev_c7200.h
dynamips-0.2.11/common/dev_c7200_bri.c
dynamips-0.2.11/common/dev_c7200_eth.c
dynamips-0.2.11/common/dev_c7200_iofpga.c
dynamips-0.2.11/common/dev_c7200_jcpa.c
dynamips-0.2.11/common/dev_c7200_mpfpga.c
dynamips-0.2.11/common/dev_c7200_mpfpga.h
dynamips-0.2.11/common/dev_c7200_pos.c
dynamips-0.2.11/common/dev_c7200_serial.c
dynamips-0.2.11/common/dev_c7200_sram.c
dynamips-0.2.11/common/dev_clpd6729.c
dynamips-0.2.11/common/dev_dec21140.h
dynamips-0.2.11/common/dev_dec21x50.c
dynamips-0.2.11/common/dev_ds1620.c
dynamips-0.2.11/common/dev_ds1620.h
dynamips-0.2.11/common/dev_flash.c
dynamips-0.2.11/common/dev_gt.c
dynamips-0.2.11/common/dev_gt.h
dynamips-0.2.11/common/dev_i8254x.c
dynamips-0.2.11/common/dev_i8254x.h
dynamips-0.2.11/common/dev_i8255x.c
dynamips-0.2.11/common/dev_i8255x.h
dynamips-0.2.11/common/dev_mpc860.c
dynamips-0.2.11/common/dev_mpc860.h
dynamips-0.2.11/common/dev_mueslix.c
dynamips-0.2.11/common/dev_mueslix.h
dynamips-0.2.11/common/dev_mv64460.c
dynamips-0.2.11/common/dev_mv64460.h
dynamips-0.2.11/common/dev_nm_16esw.c
dynamips-0.2.11/common/dev_nm_16esw.h
dynamips-0.2.11/common/dev_ns16552.c
dynamips-0.2.11/common/dev_nvram.c
dynamips-0.2.11/common/dev_pa_a1.c
dynamips-0.2.11/common/dev_pa_mc8te1.c
dynamips-0.2.11/common/dev_pcmcia_disk.c
dynamips-0.2.11/common/dev_pericom.c
dynamips-0.2.11/common/dev_plx.c
dynamips-0.2.11/common/dev_plx.h
dynamips-0.2.11/common/dev_plx6520cb.c
dynamips-0.2.11/common/dev_ram.c
dynamips-0.2.11/common/dev_remote.c
dynamips-0.2.11/common/dev_rom.c
dynamips-0.2.11/common/dev_rom.h
dynamips-0.2.11/common/dev_sb1.c
dynamips-0.2.11/common/dev_sb1_io.c
dynamips-0.2.11/common/dev_sb1_pci.c
dynamips-0.2.11/common/dev_ti2050b.c
dynamips-0.2.11/common/dev_vtty.c
dynamips-0.2.11/common/dev_vtty.h
dynamips-0.2.11/common/dev_wic_serial.c
dynamips-0.2.11/common/dev_wic_serial.h
dynamips-0.2.11/common/dev_zero.c
dynamips-0.2.11/common/device.c
dynamips-0.2.11/common/device.h
dynamips-0.2.11/common/dynamips.c
dynamips-0.2.11/common/dynamips.h
dynamips-0.2.11/common/eth_switch.c
dynamips-0.2.11/common/eth_switch.h
dynamips-0.2.11/common/frame_relay.c
dynamips-0.2.11/common/frame_relay.h
dynamips-0.2.11/common/fs_nvram.c
dynamips-0.2.11/common/fs_nvram.h
dynamips-0.2.11/common/gen_eth.c
dynamips-0.2.11/common/gen_eth.h
dynamips-0.2.11/common/gen_uuid.c
dynamips-0.2.11/common/gen_uuid.h
dynamips-0.2.11/common/get_cpu_time.c
dynamips-0.2.11/common/get_cpu_time.h
dynamips-0.2.11/common/hash.c
dynamips-0.2.11/common/hash.h
dynamips-0.2.11/common/hv_atm_bridge.c
dynamips-0.2.11/common/hv_atmsw.c
dynamips-0.2.11/common/hv_c1700.c
dynamips-0.2.11/common/hv_c2600.c
dynamips-0.2.11/common/hv_c2691.c
dynamips-0.2.11/common/hv_c3600.c
dynamips-0.2.11/common/hv_c3725.c
dynamips-0.2.11/common/hv_c3745.c
dynamips-0.2.11/common/hv_c7200.c
dynamips-0.2.11/common/hv_ethsw.c
dynamips-0.2.11/common/hv_frsw.c
dynamips-0.2.11/common/hv_nio.c
dynamips-0.2.11/common/hv_nio_bridge.c
dynamips-0.2.11/common/hv_store.c
dynamips-0.2.11/common/hv_vm_debug.c
dynamips-0.2.11/common/hypervisor.h
dynamips-0.2.11/common/insn_lookup.c
dynamips-0.2.11/common/insn_lookup.h
dynamips-0.2.11/common/jit_op.c
dynamips-0.2.11/common/jit_op.h
dynamips-0.2.11/common/linux_eth.c
dynamips-0.2.11/common/linux_eth.h
dynamips-0.2.11/common/memory.c
dynamips-0.2.11/common/mempool.c
dynamips-0.2.11/common/mempool.h
dynamips-0.2.11/common/mips64_mem.h
dynamips-0.2.11/common/mips64_nojit_trans.c
dynamips-0.2.11/common/mips64_nojit_trans.h
dynamips-0.2.11/common/net.c
dynamips-0.2.11/common/net.h
dynamips-0.2.11/common/net_io.c
dynamips-0.2.11/common/net_io.h
dynamips-0.2.11/common/net_io_bridge.c
dynamips-0.2.11/common/net_io_bridge.h
dynamips-0.2.11/common/net_io_filter.c
dynamips-0.2.11/common/net_io_filter.h
dynamips-0.2.11/common/nmc93cX6.c
dynamips-0.2.11/common/nmc93cX6.h
dynamips-0.2.11/common/nvram_export.c
dynamips-0.2.11/common/parser.c
dynamips-0.2.11/common/parser.h
dynamips-0.2.11/common/pci_dev.c
dynamips-0.2.11/common/pci_dev.h
dynamips-0.2.11/common/pci_io.c
dynamips-0.2.11/common/pci_io.h
dynamips-0.2.11/common/plugin.c
dynamips-0.2.11/common/plugin.h
dynamips-0.2.11/common/ppc32_amd64_trans.h
dynamips-0.2.11/common/ppc32_exec.h
dynamips-0.2.11/common/ppc32_mem.h
dynamips-0.2.11/common/ppc32_nojit_trans.c
dynamips-0.2.11/common/ppc32_nojit_trans.h
dynamips-0.2.11/common/ppc32_x86_trans.h
dynamips-0.2.11/common/profiler.c
dynamips-0.2.11/common/ptask.c
dynamips-0.2.11/common/ptask.h
dynamips-0.2.11/common/rbtree.c
dynamips-0.2.11/common/rbtree.h
dynamips-0.2.11/common/registry.c
dynamips-0.2.11/common/registry.h
dynamips-0.2.11/common/rom2c.c
dynamips-0.2.11/common/rommon_var.c
dynamips-0.2.11/common/rommon_var.h
dynamips-0.2.11/common/sbox.c
dynamips-0.2.11/common/sbox.h
dynamips-0.2.11/common/timer.c
dynamips-0.2.11/common/timer.h
dynamips-0.2.11/common/udp_recv.c
dynamips-0.2.11/common/udp_send.c
dynamips-0.2.11/common/utils.c
dynamips-0.2.11/profiler_resolve.pl
dynamips-0.2.11/stable/amd64-codegen.h
dynamips-0.2.11/stable/cpu.c
dynamips-0.2.11/stable/cpu.h
dynamips-0.2.11/stable/dev_dec21140.c
dynamips-0.2.11/stable/ds1620.h
dynamips-0.2.11/stable/hv_vm.c
dynamips-0.2.11/stable/hypervisor.c
dynamips-0.2.11/stable/memory.h
dynamips-0.2.11/stable/mips64.c
dynamips-0.2.11/stable/mips64.h
dynamips-0.2.11/stable/mips64_amd64_trans.c
dynamips-0.2.11/stable/mips64_amd64_trans.h
dynamips-0.2.11/stable/mips64_cp0.c
dynamips-0.2.11/stable/mips64_cp0.h
dynamips-0.2.11/stable/mips64_exec.c
dynamips-0.2.11/stable/mips64_exec.h
dynamips-0.2.11/stable/mips64_jit.c
dynamips-0.2.11/stable/mips64_jit.h
dynamips-0.2.11/stable/mips64_mem.c
dynamips-0.2.11/stable/mips64_x86_trans.c
dynamips-0.2.11/stable/mips64_x86_trans.h
dynamips-0.2.11/stable/mips_mts.c
dynamips-0.2.11/stable/ppc32.c
dynamips-0.2.11/stable/ppc32.h
dynamips-0.2.11/stable/ppc32_amd64_trans.c
dynamips-0.2.11/stable/ppc32_exec.c
dynamips-0.2.11/stable/ppc32_jit.c
dynamips-0.2.11/stable/ppc32_jit.h
dynamips-0.2.11/stable/ppc32_mem.c
dynamips-0.2.11/stable/ppc32_vmtest.c
dynamips-0.2.11/stable/ppc32_vmtest.h
dynamips-0.2.11/stable/ppc32_x86_trans.c
dynamips-0.2.11/stable/utils.h
dynamips-0.2.11/stable/vm.c
dynamips-0.2.11/stable/vm.h
dynamips-0.2.11/stable/x86-codegen.h
dynamips-0.2.11/unstable/amd64-codegen.h
dynamips-0.2.11/unstable/cpu.c
dynamips-0.2.11/unstable/cpu.h
dynamips-0.2.11/unstable/dev_dec21140.c
dynamips-0.2.11/unstable/hv_vm.c
dynamips-0.2.11/unstable/hypervisor.c
dynamips-0.2.11/unstable/memory.h
dynamips-0.2.11/unstable/mips64.c
dynamips-0.2.11/unstable/mips64.h
dynamips-0.2.11/unstable/mips64_amd64_trans.c
dynamips-0.2.11/unstable/mips64_amd64_trans.h
dynamips-0.2.11/unstable/mips64_cp0.c
dynamips-0.2.11/unstable/mips64_cp0.h
dynamips-0.2.11/unstable/mips64_exec.c
dynamips-0.2.11/unstable/mips64_exec.h
dynamips-0.2.11/unstable/mips64_jit.c
dynamips-0.2.11/unstable/mips64_jit.h
dynamips-0.2.11/unstable/mips64_mem.c
dynamips-0.2.11/unstable/mips64_ppc32_trans.c
dynamips-0.2.11/unstable/mips64_ppc32_trans.h
dynamips-0.2.11/unstable/mips64_x86_trans.c
dynamips-0.2.11/unstable/mips64_x86_trans.h
dynamips-0.2.11/unstable/mips_mts.c
dynamips-0.2.11/unstable/ppc-codegen.h
dynamips-0.2.11/unstable/ppc32.c
dynamips-0.2.11/unstable/ppc32.h
dynamips-0.2.11/unstable/ppc32_amd64_trans.c
dynamips-0.2.11/unstable/ppc32_exec.c
dynamips-0.2.11/unstable/ppc32_jit.c
dynamips-0.2.11/unstable/ppc32_jit.h
dynamips-0.2.11/unstable/ppc32_mem.c
dynamips-0.2.11/unstable/ppc32_vmtest.c
dynamips-0.2.11/unstable/ppc32_vmtest.h
dynamips-0.2.11/unstable/ppc32_x86_trans.c
dynamips-0.2.11/unstable/tcb.c
dynamips-0.2.11/unstable/tcb.h
dynamips-0.2.11/unstable/utils.h
dynamips-0.2.11/unstable/vm.c
dynamips-0.2.11/unstable/vm.h
dynamips-0.2.11/unstable/x86-codegen.h

[!]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[?]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 71680 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Sources can be downloaded from URI in Source: tag
     Note: Could not download Source0:
     https://github.com/GNS3/dynamips/archive/v0.2.11.tar.gz#/dynamips-0.2.11.tar.gz
     See: http://fedoraproject.org/wiki/Packaging:Guidelines#Tags
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: dynamips-0.2.11-1.fc21.i686.rpm
          dynamips-0.2.11-1.fc21.src.rpm
dynamips.i686: W: manual-page-warning /usr/share/man/man7/hypervisor_mode.7.gz 310: warning: macro `Bvm' not defined
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint dynamips
dynamips.i686: W: manual-page-warning /usr/share/man/man7/hypervisor_mode.7.gz 310: warning: macro `Bvm' not defined
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
dynamips (rpmlib, GLIBC filtered):
    libc.so.6
    libdl.so.2
    libelf.so.1
    libelf.so.1(ELFUTILS_1.0)
    libpcap.so.1
    libpthread.so.0
    librt.so.1
    libuuid.so.1
    libuuid.so.1(UUID_1.0)
    rtld(GNU_HASH)



Provides
--------
dynamips:
    dynamips
    dynamips(x86-32)



Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -rvn dynamips-0.2.11-1.fc20.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
---------------------------------

1. Fix rpmlint issue.

2. Fix silent build. I can't verify if flags are inserted properly.

3. install doesn't preserve the timestamp.

4. %{__make} --> make

5. Try not to BuildRequires:  dos2unix for a package which only needs convert of CR chars, it will increase the building time and not needed in fact, other solutions:

https://fedoraproject.org/wiki/Common_Rpmlint_issues#wrong-file-end-of-line-encoding
Comment 4 Dhiru Kholia 2014-04-04 11:04:27 EDT
Updated URLs,

Spec URL: https://bitbucket.org/dhiru/packages/raw/master/dynamips/dynamips.spec
SRPM URL: https://bitbucket.org/dhiru/packages/raw/master/dynamips/dynamips-0.2.12-1.fc20.src.rpm

Only some problems are fixed, I don't have free time to move this ahead ;(
Comment 5 Moez Roy 2014-04-14 04:39:47 EDT
(In reply to Dhiru Kholia from comment #4)
> Updated URLs,
> 
> Spec URL:
> https://bitbucket.org/dhiru/packages/raw/master/dynamips/dynamips.spec
> SRPM URL:
> https://bitbucket.org/dhiru/packages/raw/master/dynamips/dynamips-0.2.12-1.
> fc20.src.rpm
> 
> Only some problems are fixed, I don't have free time to move this ahead ;(

Source:         https://github.com/GNS3/dynamips/archive/v0.2.11.tar.gz

I think you mean: https://codeload.github.com/GNS3/dynamips/tar.gz/v0.2.12 or https://github.com/GNS3/dynamips/archive/v0.2.12.tar.gz ?
Comment 6 Moez Roy 2014-04-14 05:01:47 EDT
http://sourceforge.net/projects/gns-3/files/Dynamips/0.2.12/

Release Notes for Cisco router simulator (Dynamips) 
Version: v0.2.12 Release date: Thursday, March 27, 2014 (2014-03-27) Source code: https://github.com/GNS3/dynamips/tree/v0.2.12 License: GNU GPLv2

http://sourceforge.net/projects/gns-3/files/Dynamips/0.2.12/dynamips-0.2.12-source.zip/download
Comment 7 Dan Horák 2014-04-14 10:28:24 EDT
AFAIK emulators, that require proprietary bits, are not allowed in Fedora, blocking FE-Legal. Please see also bugs #246150 and #249929
Comment 8 Christopher Meng 2014-04-14 10:32:27 EDT
(In reply to Dan Horák from comment #7)
> AFAIK emulators, that require proprietary bits, are not allowed in Fedora,
> blocking FE-Legal. Please see also bugs #246150 and #249929

Yes, that's what I said in my initial comment, but the reporter was shown so self-confident in comment 2.
Comment 9 Moez Roy 2014-04-14 12:36:47 EDT
(In reply to Dan Horák from comment #7)
> AFAIK emulators, that require proprietary bits, are not allowed in Fedora,
> blocking FE-Legal. Please see also bugs #246150 and #249929

Where exactly does this require proprietary bits?

PS. Line says 2700 in the changelog says "Renamed from Dynamips-community to the original Dynamips, updated documentation and makefiles." @ https://github.com/GNS3/dynamips/blob/master/ChangeLog
Comment 10 Christopher Meng 2014-05-03 20:40:14 EDT

*** This bug has been marked as a duplicate of bug 246150 ***

Note You need to log in before you can comment on or make changes to this bug.